package paketArtikelMitGUIundOODB;

public class Artikel
{
    
    String artikelNr = new String();
    
    String bezeichnung = new String();
    
    int bestand;
    
    double preis;
    
    
    public Artikel()
    {  
    }
    
    public Artikel(String pArtikelNr,String pBezeichnung,double pPreis,int pBestand)
    {
    	artikelNr= pArtikelNr;
    	bezeichnung=pBezeichnung;
    	preis=pPreis;
    	bestand=pBestand;
    	
    }


    
    void setArtikelNr(String pNeueNummer)
    {
    artikelNr = pNeueNummer;
    }
    
    
    void setBezeichnung(String pneueBezeichnung)
    {
    bezeichnung = pneueBezeichnung;
    }
    
    
    void setPreis(double pNeuerPreis)
    {
    preis = pNeuerPreis;
    }
    
    
    String getArtikelNr()
    {
    return artikelNr;
    }
    
    
    String getBezeichnung()
    {
    return bezeichnung;
    }
    
    
    double getPreis()
    {
    return preis;
    }
    
    
    int getBestand()
    {
    return bestand;
    }
    
    void mehren(int pStueck)
    {
    bestand = bestand + pStueck;
    }
    
    public boolean mindern(int pStueck)
    {
    if (bestand >= pStueck)
    {
    bestand = bestand - pStueck;
    return true;
    }
    else
    {	
    return false;
    }
    }
}
